Bug 118618 - policy rpm gives wrong context to /etc/security/default_contexts
Summary: policy rpm gives wrong context to /etc/security/default_contexts
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: policy   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 122683
TreeView+ depends on / blocked
 
Reported: 2004-03-18 12:56 UTC by Stephen Tweedie
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-10 14:57:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Stephen Tweedie 2004-03-18 12:56:09 UTC
Description of problem:
Installing the policy and policy-sources rpms gives the wrong context
to /etc/security/default_contexts.

Version-Release number of selected component (if applicable):
policy-1.9-1
policy-sources-1.9-1

How reproducible:
100%

Steps to Reproduce:
with policy-1.9-1 already installed, do:
# rpm -Uvh --force policy-1.9-1.noarch.rpm policy-sources-1.9-1.noarch.rpm
# ls -lZ /etc/security/default_contexts
-rw-r--r--+ root root root:object_r:etc_t /etc/security/default_contexts
# restorecon /etc/security/default_contexts
# ls -lZ /etc/security/default_contexts
-rw-r--r--+ root root system_u:object_r:default_context_t
/etc/security/default_contexts

Comment 1 Daniel Walsh 2004-03-25 05:19:54 UTC
Fixed in policy-1.9-15


Note You need to log in before you can comment on or make changes to this bug.